QGIS Application - Bug report #13058
Remove internal OWSIib copy
2015-07-01 04:18 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Tom Kralidis

Category: MetaSearch Catalogue Client

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 21128
Description

Curently we maintain an internal, old copy of OWSlib in the MetaSearch plugin (now core). Te lib is more up to date on Deb (which fixes a
current bug in MS).

| suggest to use the shared lib.

This will require to add dependencies for major platforms.

History

#1 - 2015-09-10 12:59 AM - Emmanuel Blondel

Is there any news about this requirement?

PS: For some reason the original ticket where we exchanged on this (with the test case of FAO Geonetwork), and where i have described the issue

doesn't exist anymore (#12404) Is there a new linking? or has it been removed (!) ?

#2 - 2015-09-11 04:02 AM - Tom Kralidis

No movement on this issue yet. For reference/explanation, see this discussion

| think the issue here is maintaining OWSLib in OSGeo4W and the other supported builds. We need to ensure there is an OWSLib packaging effort
foreach of these.

P.S. we have moved all MetaSearch tickets into the main QGIS tracker. MetaSearch is now a category and related issues have been moved to

https://issues.qgis.org/projects/quantum-gis/issues?category id=1078&#38;set_filter=1&#38;status_id=0

#3 - 2016-11-23 05:01 AM - Emmanuel Blondel

Hello, is there any news for this blocking bug? It would be good, at least, to have a workaround for this.
Thanks in advance

#4 - 2017-05-01 01:07 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#5 - 2018-02-24 04:36 PM - Paolo Cavallini

- Status changed from Open to Feedback

- Description updated
http://osgeo-org.1560.x6.nabble.com/Conflits-between-owsLib-packages-in-OSGeo4w-and-QGIS-td5216862.html
http://trac.osgeo.org/osgeo4w/
http://www.qgis.org/en/site/forusers/alldownloads.html
https://issues.qgis.org/projects/quantum-gis/issues?category_id=107&#38;set_filter=1&#38;status_id=o

This seems to be fixed: Tom, could you confirm?

#6 - 2018-02-26 03:34 PM - Tom Kralidis

Looks okay from here.

#7 - 2018-02-27 07:00 AM - Paolo Cavallini
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
